main {
    background-color: purple;
    display: grid;
    grid-template-columns: 150px 1fr 150px;
    grid: "h h h" 
          "a b c"
          "f f f";
}

header {
    background-color: green;
    grid-area: h;
}

nav {
    background-color: orange;
    grid-area: a;
}

article {
    background-color: blue;
    grid-area: b;
}

aside {
    background-color: yellow;
    grid-area: c;
}

footer {
    background-color: pink;
    grid-area: f;
}